% ======================================================================
% simple model of traffic - time to work
% Compares time to work for two routes and two sets of traffic conditions
%
% Model Parameter Definitions               Description
% Local street average speed                25 mph
% Major street average speed                40 mph
% Normal freeway avg. speed                 55 mph
% Congested freeway avg. speed              20 mph
% Stop sign average stop time               30 second delay
% Traffic light delay average               2 minutes
% Left turn onto major road delay           2.5 minutes
%
% ======================================================================

% Set parameters for different traffic conditions
clear all

 local_speed = 25;  % average speed for local streets (mph)
 major_speed = 35;  % average speed for a major street (mph)
 normal_freeway = 55; % average freeway speed in normal conditions (mph)
 congest_freeway = 18; % average freeway speed during congestion (mph)
 Avg_redlight = 2.0;   % average time for traffic light minutes
 left_on_major = 2.5;  % time delay to make left onto major street minutes
 stop_sign = 30;      % average time for a stop sign in seconds
  
% Creat a matrix to read in the length data for each segment
segment = zeros(11,1);
% Segment count for Y axis on final graph
ind = zeros(11,1);
% Enter the segment data into the matrix - add the other segments
segment(1) = 1325;

%Convert segment units from feet into miles
%to use the average speed in the calculations
%Insert a statement in the loop below to convert for all 11 segments
for x = 1:11
    
end

% Set up routes
% Store each leg of the route in a matrix - start with zeros

  freeway_normal = zeros(8,1);
  free_norm_cum = zeros(8,1);
  freeway_congest = zeros(8,1);
  free_con_cum = zeros(8,1);
  local = zeros(8,1);
  local_cum = zeros(8,1);
  %Assign integer values for the ind labels for grahp
  ind = 1:8;
% Fill in freeway_normal
%For each freeway normal segment freeway_normal(1). freeway_normal(2),
%freenormal(3) ... insert a formula that represents the time in minutes
%to traverse the segment plus any additional time for a traffic control
%device.  You should have six segments to get from home to work
  %freeway_normal(1)= ??
  
  
% Fill in freeway_congested
%Now do the same thing for freeway_congested
  
  %freeway_congest(1)= ??
    
 % Fill in local route
 %Now for the local route with eight segments

  %local(1) = 
  
 % Calculate the cumulative totals
 % Start with the time to traverse the first segment of each route
 local_cum(1)= local(1);
 free_norm_cum(1)=freeway_normal(1);
 free_con_cum(1)=freeway_congest(1);
 
 %Now insert statements in the loop below that add subsequent times for
 %each setment and store the result in the appropriate value of the 
 %cumulative total. You want to end up with a vector with eight values
 %that represent the cumulative total time for each route.
 for y = 2:8
   %local_cum(y)=??
   %free_norm_cum(y)=??
   %free_con_cum(y)=??
 end
 
 %Create a final sum of time for each route. This should be 
 %equal to the final cumulative total calculated above and can be
 %be used as a check on your code.
  fnormal = sum(freeway_normal);
  fcongest = sum(freeway_congest);
  flocal = sum(local);
 %**This section graphs a line for each condition for all of the values
%**calculated for our model.  We will begin to learn about these graphing
%**statements in the next topic.  For now, you can just observe that we
%**plotting each value of our matrix against the value of red_prob
%**(represented as y) and assigning a different color to each.  A legend is
%**also created.
figure;hold('on');
set(gca, 'Box' , 'on');
h1 = plot(ind,free_norm_cum, 'r');
h2 = plot(ind,free_con_cum, 'g');
h3 = plot(ind,local_cum, 'b');
xlabel('Segment')
ylabel('Time (minutes)')
legend([h1, h2, h3], {'Normal', 'Congest', 'Local'},'Location','NorthWest');  
% Now write the output for totals to the screen
  fprintf('\n Freeway_Reg   Freeway-Congest      Local ');
fprintf('\n %8.2f %15.2f %15.2f', fnormal, fcongest, flocal);
fprintf('\n')
  
  
