# -*- coding: utf-8 -*-

"""
Created on Mon May 23 10:59:56 2016

@author: sgordon
"""
import math
import matplotlib.pyplot as plt
# ======================================================================
# simple model of traffic - time to work
# Compares time to work for two routes and two sets of traffic conditions
#
# Model Parameter Definitions               Description
# Local street average speed                25 mph
# Major street average speed                40 mph
# Normal freeway avg. speed                 55 mph
# Congested freeway avg. speed              20 mph
# Stop sign average stop time               30 second delay
# Traffic light delay average               2 minutes
# Left turn onto major road delay           2.5 minutes
#
# ======================================================================

# Set parameters for different traffic conditions
# Model parameters
local_speed = 25      # average speed for local streets (mph]
major_speed = 35      # average speed for a major street (mph)
normal_freeway = 55   # average freeway speed in normal conditions (mph)
congest_freeway = 18  # average freeway speed during congestion (mph)
Avg_redlight = 2.0    # average time for traffic light minutes
left_on_major = 2.5   # time delay to make left onto major street minutes
stop_sign = 30        # average time for a stop sign in seconds
# Creat a matrix to read in the length data for each segment
segment = [0.]*11
# Enter the segment data into the matrix - add the other segments
segment[0] = 1325.

# convert segment units from feet into miles
#to use the average speed in the calculations
#Insert a statement in the loop below to convert for all 11 segments

for i in range(11):
    #insert statement here.  Remember to indent
# Set up routes
# Store each leg of the route in a matrix 
freeway_normal = [0.]*8
free_norm_cum = [0.]*8
freeway_congest = [0.]*8
free_con_cum = [0.]*8
local = [0.]*8
local_cum = [0.]*8
#create an index for plotting the final cumulative totals and assign values
ind = [1,2,3,4,5,6,7,8]
# fill in freeway normal
#For each freeway normal segment freeway_normal[1]. freeway_normal[2],
#freenormal[3] ... insert a formula that represents the time in minutes
#to traverse the segment plus any additional time for a traffic control
#device.  You should have six segments to get from home to work
#freeway_normal[0]= ??


#fill in freeway conngested
#Now do the same thing for freeway_congested
  
#freeway_congest[0]= ??


#fill in local
 #Now for the local route with eight segments

#local[0] = 

 
#Calculate the cumulative totals
 # Start with the time to traverse the first segment of each route
local_cum[0]= local[0]
free_norm_cum[0]=freeway_normal[0]
free_con_cum[0]=freeway_congest[0]
#Now insert statements in the loop below that add subsequent times for
 #each setment and store the result in the appropriate value of the 
 #cumulative total. You want to end up with a vector with eight values
 #that represent the cumulative total time for each route.

for y in range (1,8):
    #local_cum[y]=??
    #free_norm_cum[y]=??
    #free_con_cum[y]=??
#**This section graphs a line for each condition for all of the values
#**calculated for our model.  We will begin to learn about these graphing
#**statements in the next topic.  For now, you can just observe that we
#**plotting each value of our matrix against the value of red_prob
#**(represented as y) and assigning a different color to each.  A legend is
#**also created.
plt.plot(ind,free_norm_cum, color = 'r', label = "Freeway Normal")
plt.plot(ind,free_con_cum, color = 'g', label = "Freeway Congested")
plt.plot(ind,local_cum, color = 'b', label = "Local")
plt.xlabel('Segments')
plt.ylabel('Time (minutes)')

plt.legend(loc=2)

plt.show()
print local_cum
print free_norm_cum
print free_con_cum
#calulcate the totals for each route
#Create a final sum of time for each route. This should be 
 #equal to the final cumulative total calculated above and can be
 #be used as a check on your code.

local_tot= sum(local[0:7])
free_norm_tot = sum(freeway_normal[0:7])
free_cong_tot = sum(freeway_congest[0:7])


print 'Local', local_tot
print 'Freeway Normal', free_norm_tot
print 'Freeway Congested', free_cong_tot